Bug 1959158 - packageserver clusteroperator Available condition set to false on any Deployment spec change
Summary: packageserver clusteroperator Available condition set to false on any Deploym...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Ben Luddy
QA Contact: Bruno Andrade
URL:
Whiteboard:
: 1961005 (view as bug list)
Depends On:
Blocks: 1962298 1963141
TreeView+ depends on / blocked
 
Reported: 2021-05-10 19:38 UTC by Ben Luddy
Modified: 2021-07-27 23:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1962298 1963141 (view as bug list)
Environment:
Last Closed: 2021-07-27 23:07:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift operator-framework-olm pull 81 0 None open Bug 1959158: Make ClusterOperator Available condition sticky. 2021-05-18 17:40:33 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:08:08 UTC

Description Ben Luddy 2021-05-10 19:38:50 UTC
Description of problem:

Modifying the packageserver's deployment spec always results in:

May 07 13:03:53.558 E clusteroperator/operator-lifecycle-manager-packageserver condition/Available status/False reason/ClusterServiceVersionNotSucceeded changed: ClusterServiceVersion openshift-operator-lifecycle-manager/packageserver is in phase InstallReady with reason: ComponentUnhealthy, message: installing: deployment changed old hash=797b6f8d96, new hash=55bf776f77

The value of the packageserver clusteroperator's Available condition is entirely based on the CSV's .status.phase, which can change due to actual unavailability but also changes during rollouts -- whether or not availability is impacted.

Version-Release number of selected component (if applicable): 4.8 (likely 4.6+)

How reproducible: Always.

Steps to Reproduce:

1. kubectl edit -n openshift-operator-lifecycle-manager csv packageserver # make a harmless change to the deployment spec such as adding an unused environment variable

Actual results:

The packageserver ClusterOperator's Available condition is temporarily set to False.

Expected results:

The Available condition is True.

Comment 1 Dave Gordon 2021-05-17 17:13:54 UTC
*** Bug 1961005 has been marked as a duplicate of this bug. ***

Comment 3 Bruno Andrade 2021-05-19 20:59:19 UTC
OCP: 4.8.0-0.nightly-2021-05-19-123944
OLM version: 0.17.0
git commit: 4a318fee164ff70efc2a28eccb5fe176c2f21c4d

Added an environment variable into packageserver csv, available value stayed with True status. 


oc get clusteroperator operator-lifecycle-manager-packageserver -w
NAME                                       VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
operator-lifecycle-manager-packageserver   4.8.0-0.nightly-2021-05-19-123944   True        False         False      131m
operator-lifecycle-manager-packageserver   4.8.0-0.nightly-2021-05-19-123944   True        True          False      134m
operator-lifecycle-manager-packageserver   4.8.0-0.nightly-2021-05-19-123944   True        False         False      135m

LGTM, marking as VERIFIED.

Comment 6 errata-xmlrpc 2021-07-27 23:07:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.